# Uses of Class
it.tdlight.jni.TdApi.EmailAddressAuthenticationCodeInfo

## Uses of TdApi.EmailAddressAuthenticationCodeInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.EmailAddressAuthenticationCodeInfo
Modifier and Type
Field
Description
`TdApi.EmailAddressAuthenticationCodeInfo`
TdApi.AuthorizationStateWaitEmailCode.`codeInfo`
Information about the sent authentication code.
`TdApi.EmailAddressAuthenticationCodeInfo`
TdApi.PasswordState.`recoveryEmailAddressCodeInfo`
Information about the recovery email address to which the confirmation email was sent; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.EmailAddressAuthenticationCodeInfo
Modifier
Constructor
Description
``
`AuthorizationStateWaitEmailCode(boolean allowAppleId, boolean allowGoogleId, TdApi.EmailAddressAuthenticationCodeInfo codeInfo, TdApi.EmailAddressResetState emailAddressResetState)`
TDLib needs the user's authentication code sent to an email address to authorize.
``
`PasswordState(boolean hasPassword, String passwordHint, boolean hasRecoveryEmailAddress, boolean hasPassportData, TdApi.EmailAddressAuthenticationCodeInfo recoveryEmailAddressCodeInfo, String loginEmailAddressPattern, int pendingResetDate)`
Represents the current state of 2-step verification.